package com.zhentao.controller;

import com.zhentao.dto.GoodDto;
import com.zhentao.dto.GoodsDto;
import com.zhentao.dto.Goods_Dto;
import com.zhentao.service.GoodsService;
import com.zhentao.util.OrderNumberGenerator;
import com.zhentao.util.Verituls;
import com.zhentao.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("goods")
public class GoodsController {
    @Autowired
    private GoodsService service;
//    添加商品
    @PostMapping("add")
    public ResultVo add(@RequestBody GoodDto goodDto){
        ResultVo add = service.add(goodDto);
        return add;
    }
    @PostMapping("orderadd")
    public ResultVo orderAdd(@RequestBody GoodsDto goodsDto, @RequestHeader("appId")String appId,@RequestHeader("reqId")String reqId){
        Goods_Dto goods_dto = new Goods_Dto();
        goods_dto.setAppId(appId);
        goods_dto.setReqId(reqId);
        goods_dto.setGoodsId(goodsDto.getGoodsId());
        goods_dto.setSign(goodsDto.getSign());
        goods_dto.setReqTime(goodsDto.getReqTime());
        goods_dto.setAppSecretKey("123");
        Boolean aBoolean = Verituls.VeriUtils(goods_dto);
        if (aBoolean){
            return ResultVo.OK(200,"签名成功",aBoolean);
        }else {
            return ResultVo.ERR(1002,"签名失败",aBoolean);
        }
    }
//生成一个格式化订单号（用redis）格式为YYYYMMDDHHMMSS00001或YYYYMMDDHHMMSS123之类的
    @GetMapping("order")
    public String Order(){
        String s = OrderNumberGenerator.generateOrderNumber();
        System.err.println(s);
        return s;
    }
}
