package com.zhentao.service.impl;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.domain.Goods;
import com.zhentao.dto.GoodDto;
import com.zhentao.dto.GoodsDto;
import com.zhentao.service.GoodsService;
import com.zhentao.mapper.GoodsMapper;
import com.zhentao.vo.ResultVo;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
* @author 86183
* @description 针对表【goods】的数据库操作Service实现
* @createDate 2025-05-16 09:45:37
*/
@Service
public class GoodsServiceImpl extends ServiceImpl<GoodsMapper, Goods>
    implements GoodsService{

    @Override
    public ResultVo add(GoodDto goodDto) {
        Goods goods = new Goods();
        long l = IdUtil.getSnowflake(1, 1).nextId();
        goods.setId(l);
        goods.setGoodsName(goodDto.getGoodsName());
        goods.setContent(goodDto.getContent());
        goods.setDescriptions(goodDto.getDescriptions());
        goods.setCreateTime(new Date());
        boolean save = this.save(goods);
        if (save){
            return ResultVo.OK(200,"添加成功",save);
        }else {
            return ResultVo.ERR(400,"添加失败",save);
        }
    }
}




