package com.zhentao.task;

import cn.hutool.core.util.IdUtil;
import com.zhentao.dto.KafkaDto;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@EnableScheduling
@Component
@Slf4j
public class KafkaScheduling {
    @Autowired
    private KafkaTemplate<String,String> kafkaTemplate;
    @Scheduled(cron = "* 0/1 * * * *")
    public void test(){
        KafkaDto kafkaDto = new KafkaDto();
        long l = IdUtil.getSnowflake(1, 1).nextId();
        kafkaDto.setMsgId(l+"");
        kafkaDto.setMsgtype("topic");
        kafkaDto.setContent("你今天吃早饭了吗？");
        kafkaTemplate.send("topic",kafkaDto.toString());
    }

    @KafkaListener(topics = "topic",groupId = "sms_group")
    public void test1(String name){
        System.err.println("消费成功"+name);
    }
}
